/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "fe/platform.h"

void test_segv(void)
{
	int* pInt=NULL;
	*pInt=5;
}

void test_function(void)
{
//	test_segv();

	feX("test_function","Exception test (expected)");
}

int main(void)
{
	fe::UnitTest unitTest;
	BWORD tried=FALSE;
	BWORD excepted=FALSE;
	BWORD completed=FALSE;

	try
	{
		tried=TRUE;
		test_function();
		completed=TRUE;
	}
	catch(fe::Exception &e)
	{
		excepted=TRUE;
		e.log();
	}

	unitTest(tried);
	unitTest(excepted);
	unitTest(!completed);

	unitTest.track(3);
	return unitTest.failures();
}

